Wonder
post/svc/payment/api/v1/openapi/orders

Create an order

You can create the order information in advance on the Wonder side through the Create Order API, and then pass the order number to Payment SDK / Payment ECR to complete the payment.

After order state updated, we will send Webhook to your server.

reference_number: We strongly recommend that you pass the reference number parameter to be associated with your ordering system.

Query parameters

with_payment_link
boolean

If you need create wonder payment link

Example: true

Header parameters

X-Platform-From
number

optional, default value: 1024

Example: 1024

X-Send-Customer-Email
boolean

payment completed, do you want to send an email to the customer. associated parameter: customer_uuid default value: false

Example: false

X-Skip-Signature
string

Example: TRUE

Signature
string

Example: good

Credential
string

Example: {{credential}}

x-request-id
string

Example: {{$string.uuid}}

x-i18n-lang
string

Example: zh-CN

Content-typerequired
string

Example: application/json

Request body · application/json

required
object
note
string

Note information for the order, needs to be less than 255 characters

tips
string

Additional tips to be paid by customers

Example: 0.00

object

The timeout logic only can be used by creating payment link

currencyrequired
string

currency code, eg HKD

due_date
string

If this date is exceeded, the order will be automatically voided

Example: 2024-01-01

charge_feerequired
string

The amount you charge your customers

Example: 0.00

array<object>

If you wish to display additional line item information

callback_url
string<url>

The address of the backend webhook

Example: https://yourservicemain/yourpath

redirect_url
string<url>

The redirection address after the payment link is completed

Example: https://yourservicemain/yourwebpage

save_this_card
boolean

A flag that determines whether to offer tokenize card choise. This function is only triggered when set to true and customer is specified

is_only_pre_auth
boolean
reference_numberrequired
string

your side unique number

object
object
app_id
string<uuid>

openapi appid for create order from ECR.

Example: 6c2bb3e7-e020-4a98-a085-819909ecffc4

customer_uuid
string<uuid>

customer uuid created by customer API

Example: 437929be-dbed-48f1-971c-adbeb9c3e1f6

Responses

coderequired
number
object
required
object
payment_link
string

if you pass with_payment_link=true query params

Example: https://xxxxxxxxx

messagerequired
string